/*
 * Plusieurs de ces styles sont importés de Bryo.
 * Et Bryo utilise du SCSS, d'où certaines valeurs
 * hyper-précises.
 * “If it ain’t broke, don’t fix it.”
 */

.button-inspi,
.button-inspi-previous {
    width: 40px;
    height: 40px;
    color: white;
    background-color: var(--rouge_mrbricolage);
    display: inline-flex;
    border-radius: 7px;
}

.button-inspi:disabled,
.button-inspi-previous:disabled {
    filter: opacity(0.6) grayscale(1);
    pointer-events: none;
}

.text-inspi {
    color: gray;
}

.span-next {
    transition: 0.2s;
}

.button-inspi:focus {
    background-color: var(--rouge_mrbricolage);
}

.button_category {
    width: 25px;
    height: 25px;
    padding: 4px;
    color: #fff;
    font-weight: bold;
    border-radius: 50%;
    /* background-color: var(--rouge_mrbricolage); */
    background-color: #e55b60;
    display: inline-block;
}

[role="tab"][aria-disabled="true"] .button_category {
    /* background-color: var(--gris); */
    background-color: #e55b60;
}

[role="tab"][aria-selected="true"] .button_category {
    background-color: #80cb6d;
}

[role="tablist"] {
    list-style-type: none;
    margin: 2.5rem 0 0.4rem 1.7857142857rem;
    padding-left: 0;
    text-align: center;
}

[role="tablist"] li {
    display: inline-block;
    outline: none;
}

[role="tablist"] li+li {
    margin-left: 1.0714285714rem;
}

/*[role="tab"][aria-selected="false"] .button:not(:hover),
[role="tab"][aria-disabled="true"] .button[disabled] {
    background-color: #eaeaea;
    color: #3e3e3e;
}

[role="tab"][aria-disabled="true"] {
    pointer-events: none;
}

[role="tab"][aria-disabled="true"] .button[disabled] {
    opacity: 0.6;
    cursor: not-allowed;
}*/

[role="tab"] button {
    border: none;
    background-color: transparent;
    cursor: pointer;
    padding: 0;
}

[role="tabpanel"] {
    /* text-align: center; */
    border: none;
}

[role="tabpanel"][aria-hidden="true"] {
    display: none;
}

[role="tabpanel"] .col:hover figure .state {
    opacity: 1;
}

[role="tabpanel"] .col label {
    cursor: pointer;
}

[role="tabpanel"] .col label[aria-disabled="true"] {
    cursor: not-allowed;
}

[role="tabpanel"] figure {
    margin: 4px;
}

[role="tabpanel"] figcaption {
    color: var(--noir);
    font-size: 0.8333333333rem;
    margin-top: 1.2rem;
    transition: color 0.3s ease-out;
}

[role="tabpanel"] figcaption b {
    display: block;
    margin-bottom: 0.3571428571rem;
    font-weight: 500;
}

[role="tabpanel"] input {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    /*top: 0;
    left: 0;*/
    white-space: nowrap;
    width: 1px;
}

[role="tabpanel"] input:checked+figure>div {
    border: 4px solid #FFDD04;
}

[role="tabpanel"] input:checked+figure .state {
    opacity: 1;
}

[role="tabpanel"] .media {
    display: block;
    /*height: 315px;*/
    height: 158px;
    margin-bottom: 0;
    overflow: hidden;
    position: relative;
    width: 100%;
    /*background-color: #ededed;*/
    background-color: transparent;
    border-radius: 7px;
}

#tab-1 .media {
    /*background-color: transparent;*/
    height: 130px;
}

#tab-1 .media img {
   /* top: 66%; */
}

#tab-2 .media {
    height: 244px;
}

[role="tabpanel"] .media img {
    width: 100%;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

[role="tabpanel"] .media img.icon-img {
    max-width: 65%;
    height: auto;
}

[role="tabpanel"] .media img.icon-img-vertical {
    max-height: 65%;
    width: auto;
}

[role="tabpanel"] .m6 .media img.icon-img {
    max-width: 40%;
}

[role="tabpanel"]:not(#tab-5) .state .disabled-mapping-option {
    color: #ffffff;
    font-size: 1rem;
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
}

[role="tabpanel"] .disclaimer {
    margin: 1.4285714286rem 0 0;
    padding: 0;
    color: #909090;
    text-align: center;
}

[role="tabpanel"] #styles-inner-wrapper figcaption{
    margin-bottom: 30px;
    text-align: left;
}

[role="tabpanel"] #styles-inner-wrapper figcaption br{
    display: none;
}

label.bt-text {
    font-size: 1rem;
    margin-top: 1rem;
    margin-bottom: 0.5rem;
    margin-left: auto;
    margin-right: auto;
    cursor: pointer;
    display: inline-block;
    background-color: var(--rouge_maxeda);
    border: none;
    border-radius: var(--button_border-radius);
    box-shadow: var(--button_shadow);
    color: var(--button_color);
    padding: var(--button_padding);
    transition: 0.2s;
}

label.bt-text:hover {
    background-color: #880726;
    transition: 0.2s;
}

label.bt-text:before {
    content: none;
}

#tab-5 {
    text-align: center;
}

#tab-5 ul {
    list-style-type: none;
    margin: 0;
    padding-left: 0;
}

#tab-5 ul li {
    cursor: pointer;
    display: block;
    text-align: left;
    transition: background-color 0.3s ease-out;
}

#tab-5 ul li[aria-disabled="true"] {
    cursor: default;
    pointer-events: none;
}

#tab-5 ul li .title {
    margin-top: 1.7857142857rem;
    position: relative;
}

#tab-5 ul li .title .tt-3 {
    padding-right: 2.1428571429rem;
    font-size: 1.2rem;
}

#tab-5 ul li .tt-3 {
    font-weight: 500;
    margin: 0;
    padding: 0;
    transition: color 0.3s ease-out;
}

#tab-5 ul li .subtitle {
    color: #909090;
    margin: 0.3571428571rem 0 0;
    padding: 0;
    font-size: 87.5%;
}

#tab-5 ul li .img {
    background-color: #ededed;
    display: block;
    height: 130px;
    margin-bottom: 0;
    overflow: hidden;
    position: relative;
    text-align: center;
    width: 100%;
    border-radius: 7px;
}

#tab-5 ul li img {
    height: 100%;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: auto;

}

#tab-5 ul li img.icon-img {
    max-width: 65%;
    height: auto;
}

#tab-5 ul li img.icon-img-vertical {
    max-height: 65%;
    width: auto;
}

#tab-5 ul li img.no-preference {
    width: 100%;
    height: auto;
    top: 60%;
}

#styles-loader {
    display: none;
}

.button:hover,
.button:target,
.button:focus {
    /* background: #077050; */
    color: var(--button_color);
    box-shadow: 0px 6px 6px #00000029;
    display: inline-flex;
    border: none;
}

.mobile-none {
    display: inline-block;
}

@media only screen and (max-width: 1732px){
    [role="tabpanel"] .media {
        display: block;
        height: 130px;
        margin-bottom: 0;
        overflow: hidden;
        position: relative;
        width: 100%;
    }

    #tab-1 .media {
        height: 130px;
    }
}

@media only screen and (max-width: 1440px){
    [role="tabpanel"] .media {
    display: block;
    height: 245px;
    margin-bottom: 0;
    overflow: hidden;
    position: relative;
    width: 100%;
    }

    #tab-1 .media {
        height: 130px;
    }
}

@media only screen and (max-width: 1320px){
    [role="tabpanel"] .media {
    display: block;
    height: 225px;
    margin-bottom: 0;
    overflow: hidden;
    position: relative;
    width: 100%;
    }

    #tab-1 .media {
        height: 130px;
    }
}

@media only screen and (max-width: 1024px){
    [role="tabpanel"] .media img {
        width: 140%;
        left: 50%;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    #tab-1 .media {
        height: 130px;
    }
}

@media only screen and (max-width: 885px) {
    [role="tabpanel"] .media img {
        width: 160%;
        left: 50%;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    #tab-1 .media {
        height: 130px;
    }
}

@media only screen and (max-width: 800px) {
    [role="tabpanel"] .media img {
        width: 180%;
        left: 50%;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    #tab-1 .media {
        height: 130px;
    }

    .mobile-none {
        display: none!important;
    }
}

@media only screen and (max-width: 601px) {
    [role="tabpanel"] .media img {
        width: 200%;
        left: 50%;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    #tab-1 .media {
        height: 130px;
    }
}
